package com.miaxis.test;

import com.miaxis.common.config.ShiShenConfig;
import com.miaxis.common.utils.DateUtils;
import com.nlf.calendar.Lunar;
import com.nlf.calendar.Solar;
import com.nlf.calendar.util.LunarUtil;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;

public class TestBaziDate {

    @Autowired
    private ShiShenConfig shiShenConfig;


    public static String calculateWuxing(char c) {
        int code = (int) c;

        // Unicode范围对应五行属性
        if (code >= 0x4e00 && code <= 0x9fff) {
            if (code >= 0x4e00 && code <= 0x5fff) {
                return "木";
            } else if (code >= 0x6000 && code <= 0x7fff) {
                return "火";
            } else if (code >= 0x8000 && code <= 0x9fff) {
                return "土";
            } else if (code >= 0x20000 && code <= 0x2a6df) {
                return "金";
            } else if (code >= 0x2a700 && code <= 0x2b73f) {
                return "水";
            }
        }

        // 其他字符或非汉字返回空
        return "";
    }

    public static void main(String[] args) {
        char ch = '锴';
        String wuxing = calculateWuxing(ch);
        if (!wuxing.isEmpty()) {
            System.out.println(ch + " 的五行属性是：" + wuxing);
        } else {
            System.out.println(ch + " 不是汉字或不在支持的范围内。");
        }
    }

}
