package com.miaxis.jie.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 百年节气对象 jie_qi
 *
 * @author miaxis
 * @date 2023-11-27
 */
@Data
@ApiModel(value = "JieQiVo", description = "百年节气对象 jie_qi")
public class JieQiVo {
    private static final long serialVersionUID = 1L;

    /** 节气名称 */
    @ApiModelProperty(value = "节气名称")
    private String jieqiName;

    /** 节气开始时间点 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "节气开始时间点")
    private Date jieqiTime;

    /** 公历年份 */
    @ApiModelProperty(value = "公历年份")
    private Long year;

    /** 与输入时间相差多少天 */
    @ApiModelProperty(value = "与输入时间相差多少天")
    private int daysDifference;


}
